<?php
namespace Modules\Additional\Specifique\Client37\Modules\GestionUtilisateur\Controller;

use Modules\Additional\Specifique\Client37\Modules\GestionUtilisateur\Service\SpecFormUtilisateur;
use Modules\Additional\Specifique\Client37\Modules\GestionUtilisateur\Repository\SpecUtilisateurRepo;
use Modules\Additional\Specifique\Client37\Modules\GestionUtilisateur\WebService\SpecUtilisateurWsdl;
use Modules\Administration\Repository\UtilisateurRepo;
use Modules\Administration\Service\FormUtilisateur;
use Modules\Index\WebService\UtilisateurWsdl;
use Modules\Utilisateur\Controller\ProfileController;

class SpecProfileController extends ProfileController
{
    public function getWsdl() :UtilisateurWsdl
    {
        return new SpecUtilisateurWsdl($this->contenaire);
    }

    public function getRepository() :UtilisateurRepo
    {
        return new SpecUtilisateurRepo($this->pdo);
    }

    public function getFormService() :FormUtilisateur
    {
        return new SpecFormUtilisateur($this->pdo);
    }
}
